<template>
  <div>
    <!--<Serverstatus></Serverstatus>-->

    <BlockMain></BlockMain>

    <BlockFeatures></BlockFeatures>

    <BlockNews></BlockNews>

    <BlockCalendar></BlockCalendar>

    <BlockMagazin></BlockMagazin>
    
    <BlockWiki></BlockWiki>

    <BlockForge></BlockForge>
  </div>
</template>

<script>
// import Serverstatus from '~/components/Serverstatus';
import BlockMain from '~/components/index/block-main';
import BlockNews from '~/components/index/block-news';
import BlockFeatures from '~/components/index/block-features';
import BlockCalendar from '~/components/index/block-calendar';
import BlockMagazin from '~/components/index/block-magazin';
import BlockForge from '~/components/index/block-forge';
import BlockWiki from '~/components/index/block-wiki';

export default {
  auth: false,
  components: {
    BlockMain,
    BlockNews,
    BlockFeatures,
    BlockCalendar,
    BlockMagazin,
    BlockForge,
    BlockWiki,
    // Serverstatus,
  },
  async fetch({ store, params }) {
    await Promise.all([
      store.dispatch('news/loadNews'),
      store.dispatch('events/loadEvents'),
      store.dispatch('wiki/loadWikiLinks', { displayLanguage: 'en' }),
    ]);
  },
  mounted() {
    this.$store.commit('SET_ACTIVE_PAGE', 'home');
  },
};
</script>
